Index: CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/scripts/BB_make
===================================================================
--- CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/scripts/BB_make	(revision 800)
+++ CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/scripts/BB_make	(revision 801)
@@ -221,4 +221,5 @@
 		$(MODEL_LIB)(domhgr.o)\
 		$(MODEL_LIB)(dommsk.o)\
+		$(MODEL_LIB)(domngb.o)\
 		$(MODEL_LIB)(domstp.o)\
 		$(MODEL_LIB)(domvvl.o)\
@@ -591,6 +592,7 @@
 	$(MODEL_LIB)(bdy_oce.o) \
 	$(MODEL_LIB)(bdy_par.o) \
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom.o) \
@@ -605,10 +607,10 @@
 	$(MODEL_LIB)(par_oce.o) \
 	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(restart.o) \
+	$(MODEL_LIB)(sbc_oce.o) \
 	bdy_oce.F90 \
 	bdy_par.F90 \
-	daymod.F90 \
-	dom_oce.F90 \
+	dianam.F90 \
+	dom_oce.F90 \
+	domngb.F90 \
 	in_out_manager.F90 \
 	iom.F90 \
@@ -623,9 +625,7 @@
 	par_oce.F90 \
 	phycst.F90 \
-	prtctl.F90 \
-	restart.F90 \
+	sbc_oce.F90 \
 	$(MODEL_LIB)(bdy_oce.o) \
 	$(MODEL_LIB)(bdytides.o) \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -635,5 +635,4 @@
 	bdy_oce.F90 \
 	bdytides.F90 \
-	daymod.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -647,5 +646,4 @@
 	$(MODEL_LIB)(bdy_oce.o) \
 	$(MODEL_LIB)(bdy_par.o) \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -661,5 +659,4 @@
 	bdy_oce.F90 \
 	bdy_par.F90 \
-	daymod.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -694,6 +691,7 @@
 	$(MODEL_LIB)(bdy_oce.o) \
 	$(MODEL_LIB)(bdy_par.o) \
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom.o) \
@@ -710,8 +708,10 @@
 	$(MODEL_LIB)(par_oce.o) \
 	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(sbc_oce.o) \
 	bdy_oce.F90 \
 	bdy_par.F90 \
-	daymod.F90 \
-	dom_oce.F90 \
+	dianam.F90 \
+	dom_oce.F90 \
+	domngb.F90 \
 	in_out_manager.F90 \
 	iom.F90 \
@@ -728,4 +728,5 @@
 	par_oce.F90 \
 	phycst.F90 \
+	sbc_oce.F90 \
 	$(MODEL_LIB)(bdy_oce.o) \
 	$(MODEL_LIB)(bdytides.o) \
@@ -748,7 +749,8 @@
 $(MODEL_LIB)(bdytides.o) :	\
 	$(MODEL_LIB)(bdy_par.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom_def.o) \
 	$(MODEL_LIB)(iom_ioipsl.o) \
@@ -763,10 +765,10 @@
 	$(MODEL_LIB)(par_oce.o) \
 	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(restart.o) \
+	$(MODEL_LIB)(sbc_oce.o) \
 	bdy_par.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
+	dianam.F90 \
+	dom_oce.F90 \
+	domngb.F90 \
+	in_out_manager.F90 \
 	iom_def.F90 \
 	iom_ioipsl.F90 \
@@ -781,9 +783,7 @@
 	par_oce.F90 \
 	phycst.F90 \
-	prtctl.F90 \
-	restart.F90 \
+	sbc_oce.F90 \
 	$(MODEL_LIB)(bdy_oce.o) \
 	$(MODEL_LIB)(bdy_par.o) \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -794,5 +794,4 @@
 	bdy_oce.F90 \
 	bdy_par.F90 \
-	daymod.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -1061,23 +1060,14 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
-	$(MODEL_LIB)(lbcnfd.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(restart.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
-	lbcnfd.F90 \
-	lib_print.f90 \
-	par_kind.F90 \
-	par_oce.F90 \
-	phycst.F90 \
-	prtctl.F90 \
-	restart.F90 \
-	$(MODEL_LIB)(daymod.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbcnfd.F90 \
+	lib_print.f90 \
+	par_kind.F90 \
+	par_oce.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -1086,5 +1076,4 @@
 	$(MODEL_LIB)(par_oce.o) \
 	$(MODEL_LIB)(phycst.o) \
-	daymod.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -1097,5 +1086,7 @@
 $(MODEL_LIB)(daymod.o) :	\
 	$(MODEL_LIB)(c1d.o) \
-	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
 	$(MODEL_LIB)(eosbn2.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -1112,4 +1103,5 @@
 	$(MODEL_LIB)(par_oce.o) \
 	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(sbc_oce.o) \
 	$(MODEL_LIB)(trdmld_oce.o) \
 	$(MODEL_LIB)(zdfddm.o) \
@@ -1117,5 +1109,7 @@
 	$(MODEL_LIB)(zpshde.o) \
 	c1d.F90 \
-	dom_oce.F90 \
+	dianam.F90 \
+	dom_oce.F90 \
+	domngb.F90 \
 	eosbn2.F90 \
 	in_out_manager.F90 \
@@ -1132,4 +1126,5 @@
 	par_oce.F90 \
 	phycst.F90 \
+	sbc_oce.F90 \
 	trdmld_oce.F90 \
 	zdfddm.F90 \
@@ -1151,27 +1146,13 @@
 	daymod.F90
 $(MODEL_LIB)(diadimg.o) :	\
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(restart.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
-	lib_print.f90 \
-	par_kind.F90 \
-	par_oce.F90 \
-	phycst.F90 \
-	prtctl.F90 \
-	restart.F90 \
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(oce.o) \
-	daymod.F90 \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	lib_print.f90 \
+	par_kind.F90 \
+	par_oce.F90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(oce.o) \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -1212,31 +1193,24 @@
 	diafwb.F90
 $(MODEL_LIB)(diagap.o) :	\
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
-	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(lbcnfd.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(restart.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
-	lbclnk.F90 \
-	lbcnfd.F90 \
-	lib_print.f90 \
-	oce.F90 \
-	par_kind.F90 \
-	par_oce.F90 \
-	phycst.F90 \
-	prtctl.F90 \
-	restart.F90 \
-	$(MODEL_LIB)(daymod.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(iom.o) \
+	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	$(MODEL_LIB)(phycst.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	iom.F90 \
+	lbclnk.F90 \
+	lbcnfd.F90 \
+	lib_print.f90 \
+	oce.F90 \
+	par_kind.F90 \
+	par_oce.F90 \
+	phycst.F90 \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -1246,5 +1220,4 @@
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(oce.o) \
-	daymod.F90 \
 	dianam.F90 \
 	dom_oce.F90 \
@@ -1279,5 +1252,7 @@
 	diahdy.F90
 $(MODEL_LIB)(diahth.o) :	\
-	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom_def.o) \
@@ -1289,5 +1264,9 @@
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
+	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(sbc_oce.o) \
+	dianam.F90 \
+	dom_oce.F90 \
+	domngb.F90 \
 	in_out_manager.F90 \
 	iom_def.F90 \
@@ -1299,4 +1278,6 @@
 	par_kind.F90 \
 	par_oce.F90 \
+	phycst.F90 \
+	sbc_oce.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -1313,27 +1294,15 @@
 	diahth.F90
 $(MODEL_LIB)(dianam.o) :	\
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(restart.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
-	lib_print.f90 \
-	par_kind.F90 \
-	par_oce.F90 \
-	phycst.F90 \
-	prtctl.F90 \
-	restart.F90 \
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(phycst.o) \
-	daymod.F90 \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	in_out_manager.F90 \
+	lib_print.f90 \
+	par_kind.F90 \
+	par_oce.F90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(phycst.o) \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -1343,8 +1312,8 @@
 	dianam.F90
 $(MODEL_LIB)(diaptr.o) :	\
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom_def.o) \
 	$(MODEL_LIB)(iom_ioipsl.o) \
@@ -1357,10 +1326,9 @@
 	$(MODEL_LIB)(par_oce.o) \
 	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(restart.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
+	$(MODEL_LIB)(sbc_oce.o) \
+	dianam.F90 \
+	dom_oce.F90 \
+	domngb.F90 \
+	in_out_manager.F90 \
 	iom_def.F90 \
 	iom_ioipsl.F90 \
@@ -1373,7 +1341,5 @@
 	par_oce.F90 \
 	phycst.F90 \
-	prtctl.F90 \
-	restart.F90 \
-	$(MODEL_LIB)(daymod.o) \
+	sbc_oce.F90 \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -1384,5 +1350,4 @@
 	$(MODEL_LIB)(oce.o) \
 	$(MODEL_LIB)(phycst.o) \
-	daymod.F90 \
 	dianam.F90 \
 	dom_oce.F90 \
@@ -1399,8 +1364,8 @@
 	diaptr.F90
 $(MODEL_LIB)(diawri.o) :	\
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_ice_2.o) \
 	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
 	$(MODEL_LIB)(fldread.o) \
 	$(MODEL_LIB)(ice_2.o) \
@@ -1421,13 +1386,12 @@
 	$(MODEL_LIB)(phycst.o) \
 	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(restart.o) \
 	$(MODEL_LIB)(sbc_ice.o) \
 	$(MODEL_LIB)(sbc_oce.o) \
 	$(MODEL_LIB)(sbcrnf.o) \
 	$(MODEL_LIB)(zdf_oce.o) \
-	daymod.F90 \
 	dianam.F90 \
 	dom_ice_2.F90 \
 	dom_oce.F90 \
+	domngb.F90 \
 	fldread.F90 \
 	ice_2.F90 \
@@ -1448,10 +1412,8 @@
 	phycst.F90 \
 	prtctl.F90 \
-	restart.F90 \
 	sbc_ice.F90 \
 	sbc_oce.F90 \
 	sbcrnf.F90 \
 	zdf_oce.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(diadimg.o) \
 	$(MODEL_LIB)(diahth.o) \
@@ -1473,5 +1435,4 @@
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
 	diadimg.F90 \
 	diahth.F90 \
@@ -1503,5 +1464,4 @@
 	$(MODEL_LIB)(closea.o) \
 	$(MODEL_LIB)(cpl_oasis3.o) \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(diadimg.o) \
 	$(MODEL_LIB)(diahth.o) \
@@ -1551,5 +1511,4 @@
 	closea.F90 \
 	cpl_oasis3.F90 \
-	daymod.F90 \
 	diadimg.F90 \
 	diahth.F90 \
@@ -1597,5 +1556,4 @@
 	zdfddm.F90 \
 	zdfmxl.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(diawri.o) \
@@ -1616,5 +1574,4 @@
 	$(MODEL_LIB)(zdftke.o) \
 	$(MODEL_LIB)(zdftke_old.o) \
-	daymod.F90 \
 	dianam.F90 \
 	diawri.F90 \
@@ -1776,5 +1733,7 @@
 	domcfg.F90
 $(MODEL_LIB)(domhgr.o) :	\
-	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom_def.o) \
@@ -1787,5 +1746,9 @@
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
+	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(sbc_oce.o) \
+	dianam.F90 \
+	dom_oce.F90 \
+	domngb.F90 \
 	in_out_manager.F90 \
 	iom_def.F90 \
@@ -1798,4 +1761,6 @@
 	par_kind.F90 \
 	par_oce.F90 \
+	phycst.F90 \
+	sbc_oce.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -1846,4 +1811,18 @@
 	KEY_CPP \
 	dommsk.F90
+$(MODEL_LIB)(domngb.o) :	\
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbcnfd.F90 \
+	par_oce.F90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	dom_oce.F90 \
+	lib_mpp.F90 \
+	domngb.F90
 $(MODEL_LIB)(domstp.o) :	\
 	$(MODEL_LIB)(lib_print.o) \
@@ -1898,5 +1877,7 @@
 	domvvl.F90
 $(MODEL_LIB)(domwri.o) :	\
-	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom_def.o) \
@@ -1911,5 +1892,9 @@
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
+	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(sbc_oce.o) \
+	dianam.F90 \
+	dom_oce.F90 \
+	domngb.F90 \
 	in_out_manager.F90 \
 	iom_def.F90 \
@@ -1924,4 +1909,6 @@
 	par_kind.F90 \
 	par_oce.F90 \
+	phycst.F90 \
+	sbc_oce.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -1938,5 +1925,7 @@
 	domwri.F90
 $(MODEL_LIB)(domzgr.o) :	\
-	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom_def.o) \
@@ -1951,6 +1940,9 @@
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(sbc_oce.o) \
-	dom_oce.F90 \
+	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(sbc_oce.o) \
+	dianam.F90 \
+	dom_oce.F90 \
+	domngb.F90 \
 	in_out_manager.F90 \
 	iom_def.F90 \
@@ -1965,4 +1957,5 @@
 	par_kind.F90 \
 	par_oce.F90 \
+	phycst.F90 \
 	sbc_oce.F90 \
 	$(MODEL_LIB)(c1d.o) \
@@ -1987,7 +1980,8 @@
 	domzgr.F90
 $(MODEL_LIB)(dtasal.o) :	\
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom_def.o) \
 	$(MODEL_LIB)(iom_ioipsl.o) \
@@ -2002,9 +1996,9 @@
 	$(MODEL_LIB)(par_oce.o) \
 	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(restart.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
+	$(MODEL_LIB)(sbc_oce.o) \
+	dianam.F90 \
+	dom_oce.F90 \
+	domngb.F90 \
+	in_out_manager.F90 \
 	iom_def.F90 \
 	iom_ioipsl.F90 \
@@ -2019,14 +2013,11 @@
 	par_oce.F90 \
 	phycst.F90 \
-	prtctl.F90 \
-	restart.F90 \
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
-	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(phycst.o) \
-	daymod.F90 \
+	sbc_oce.F90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(iom.o) \
+	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(phycst.o) \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -2039,7 +2030,8 @@
 	dtasal.F90
 $(MODEL_LIB)(dtatem.o) :	\
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom_def.o) \
 	$(MODEL_LIB)(iom_ioipsl.o) \
@@ -2054,9 +2046,9 @@
 	$(MODEL_LIB)(par_oce.o) \
 	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(restart.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
+	$(MODEL_LIB)(sbc_oce.o) \
+	dianam.F90 \
+	dom_oce.F90 \
+	domngb.F90 \
+	in_out_manager.F90 \
 	iom_def.F90 \
 	iom_ioipsl.F90 \
@@ -2071,14 +2063,11 @@
 	par_oce.F90 \
 	phycst.F90 \
-	prtctl.F90 \
-	restart.F90 \
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
-	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(phycst.o) \
-	daymod.F90 \
+	sbc_oce.F90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(iom.o) \
+	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(phycst.o) \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -2796,5 +2785,4 @@
 	$(MODEL_LIB)(bdy_par.o) \
 	$(MODEL_LIB)(bdytides.o) \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(dynadv_cen2.o) \
@@ -2819,5 +2807,4 @@
 	bdy_par.F90 \
 	bdytides.F90 \
-	daymod.F90 \
 	dom_oce.F90 \
 	dynadv_cen2.F90 \
@@ -3027,6 +3014,7 @@
 $(MODEL_LIB)(dynspg_exp.o) :	\
 	$(MODEL_LIB)(c1d.o) \
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
 	$(MODEL_LIB)(dynspg_oce.o) \
 	$(MODEL_LIB)(eosbn2.o) \
@@ -3047,4 +3035,5 @@
 	$(MODEL_LIB)(par_oce.o) \
 	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(sbc_oce.o) \
 	$(MODEL_LIB)(trdmld_oce.o) \
 	$(MODEL_LIB)(zdfddm.o) \
@@ -3052,6 +3041,7 @@
 	$(MODEL_LIB)(zpshde.o) \
 	c1d.F90 \
-	daymod.F90 \
-	dom_oce.F90 \
+	dianam.F90 \
+	dom_oce.F90 \
+	domngb.F90 \
 	dynspg_oce.F90 \
 	eosbn2.F90 \
@@ -3072,4 +3062,5 @@
 	par_oce.F90 \
 	phycst.F90 \
+	sbc_oce.F90 \
 	trdmld_oce.F90 \
 	zdfddm.F90 \
@@ -3111,5 +3102,7 @@
 	$(MODEL_LIB)(bdytides.o) \
 	$(MODEL_LIB)(c1d.o) \
-	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
 	$(MODEL_LIB)(dynadv_cen2.o) \
 	$(MODEL_LIB)(dynadv_ubs.o) \
@@ -3150,5 +3143,7 @@
 	bdytides.F90 \
 	c1d.F90 \
-	dom_oce.F90 \
+	dianam.F90 \
+	dom_oce.F90 \
+	domngb.F90 \
 	dynadv_cen2.F90 \
 	dynadv_ubs.F90 \
@@ -3254,6 +3249,7 @@
 	$(MODEL_LIB)(bdytides.o) \
 	$(MODEL_LIB)(c1d.o) \
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
 	$(MODEL_LIB)(dynadv.o) \
 	$(MODEL_LIB)(dynspg_oce.o) \
@@ -3289,6 +3285,7 @@
 	bdytides.F90 \
 	c1d.F90 \
-	daymod.F90 \
-	dom_oce.F90 \
+	dianam.F90 \
+	dom_oce.F90 \
+	domngb.F90 \
 	dynadv.F90 \
 	dynspg_oce.F90 \
@@ -3670,7 +3667,8 @@
 	eosbn2.F90
 $(MODEL_LIB)(fldread.o) :	\
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom_def.o) \
 	$(MODEL_LIB)(iom_ioipsl.o) \
@@ -3682,9 +3680,9 @@
 	$(MODEL_LIB)(par_oce.o) \
 	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(restart.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
+	$(MODEL_LIB)(sbc_oce.o) \
+	dianam.F90 \
+	dom_oce.F90 \
+	domngb.F90 \
+	in_out_manager.F90 \
 	iom_def.F90 \
 	iom_ioipsl.F90 \
@@ -3696,7 +3694,5 @@
 	par_oce.F90 \
 	phycst.F90 \
-	prtctl.F90 \
-	restart.F90 \
-	$(MODEL_LIB)(daymod.o) \
+	sbc_oce.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(geo2ocean.o) \
@@ -3705,5 +3701,4 @@
 	$(MODEL_LIB)(oce.o) \
 	$(MODEL_LIB)(phycst.o) \
-	daymod.F90 \
 	dom_oce.F90 \
 	geo2ocean.F90 \
@@ -3740,5 +3735,4 @@
 	flo_oce.F90
 $(MODEL_LIB)(floats.o) :	\
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(flo_oce.o) \
@@ -3749,5 +3743,4 @@
 	$(MODEL_LIB)(par_oce.o) \
 	$(MODEL_LIB)(phycst.o) \
-	daymod.F90 \
 	dom_oce.F90 \
 	flo_oce.F90 \
@@ -3830,23 +3823,14 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
-	$(MODEL_LIB)(lbcnfd.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(restart.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
-	lbcnfd.F90 \
-	lib_print.f90 \
-	par_kind.F90 \
-	par_oce.F90 \
-	phycst.F90 \
-	prtctl.F90 \
-	restart.F90 \
-	$(MODEL_LIB)(daymod.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbcnfd.F90 \
+	lib_print.f90 \
+	par_kind.F90 \
+	par_oce.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(flo_oce.o) \
@@ -3854,5 +3838,4 @@
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(oce.o) \
-	daymod.F90 \
 	dom_oce.F90 \
 	flo_oce.F90 \
@@ -3899,5 +3882,4 @@
 	ice_2.F90
 $(MODEL_LIB)(iceini_2.o) :	\
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_ice_2.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -3915,5 +3897,4 @@
 	$(MODEL_LIB)(sbc_ice.o) \
 	$(MODEL_LIB)(sbc_oce.o) \
-	daymod.F90 \
 	dom_ice_2.F90 \
 	dom_oce.F90 \
@@ -3976,4 +3957,5 @@
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
+	$(MODEL_LIB)(phycst.o) \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -3986,5 +3968,8 @@
 	par_kind.F90 \
 	par_oce.F90 \
-	$(MODEL_LIB)(dom_oce.o) \
+	phycst.F90 \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom_def.o) \
@@ -3993,5 +3978,9 @@
 	$(MODEL_LIB)(iom_rstdimg.o) \
 	$(MODEL_LIB)(lbclnk.o) \
-	dom_oce.F90 \
+	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(sbc_oce.o) \
+	dianam.F90 \
+	dom_oce.F90 \
+	domngb.F90 \
 	in_out_manager.F90 \
 	iom_def.F90 \
@@ -4000,4 +3989,6 @@
 	iom_rstdimg.F90 \
 	lbclnk.F90 \
+	phycst.F90 \
+	sbc_oce.F90 \
 	KEY_CPP \
 	iom.F90
@@ -4085,6 +4076,7 @@
 	$(MODEL_LIB)(c1d.o) \
 	$(MODEL_LIB)(cla_dynspg.o) \
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
 	$(MODEL_LIB)(domvvl.o) \
 	$(MODEL_LIB)(dynadv.o) \
@@ -4140,6 +4132,7 @@
 	c1d.F90 \
 	cla_dynspg.F90 \
-	daymod.F90 \
-	dom_oce.F90 \
+	dianam.F90 \
+	dom_oce.F90 \
+	domngb.F90 \
 	domvvl.F90 \
 	dynadv.F90 \
@@ -4340,6 +4333,7 @@
 $(MODEL_LIB)(ldfeiv.o) :	\
 	$(MODEL_LIB)(closea.o) \
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
 	$(MODEL_LIB)(fldread.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -4363,6 +4357,7 @@
 	$(MODEL_LIB)(zdfmxl.o) \
 	closea.F90 \
-	daymod.F90 \
-	dom_oce.F90 \
+	dianam.F90 \
+	dom_oce.F90 \
+	domngb.F90 \
 	fldread.F90 \
 	in_out_manager.F90 \
@@ -4580,5 +4575,4 @@
 $(MODEL_LIB)(limdia_2.o) :	\
 	$(MODEL_LIB)(dom_ice_2.o) \
-	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(eosbn2.o) \
 	$(MODEL_LIB)(ice_2.o) \
@@ -4592,8 +4586,5 @@
 	$(MODEL_LIB)(par_oce.o) \
 	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(restart.o) \
 	dom_ice_2.F90 \
-	dom_oce.F90 \
 	eosbn2.F90 \
 	ice_2.F90 \
@@ -4607,8 +4598,6 @@
 	par_oce.F90 \
 	phycst.F90 \
-	prtctl.F90 \
-	restart.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_ice_2.o) \
+	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(ice_2.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -4617,6 +4606,6 @@
 	$(MODEL_LIB)(phycst.o) \
 	$(MODEL_LIB)(sbc_oce.o) \
-	daymod.F90 \
 	dom_ice_2.F90 \
+	dom_oce.F90 \
 	ice_2.F90 \
 	in_out_manager.F90 \
@@ -4629,5 +4618,7 @@
 	limdia_2.F90
 $(MODEL_LIB)(limdmp_2.o) :	\
-	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
 	$(MODEL_LIB)(dtasal.o) \
 	$(MODEL_LIB)(dtatem.o) \
@@ -4647,10 +4638,12 @@
 	$(MODEL_LIB)(phycst.o) \
 	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(restart.o) \
+	$(MODEL_LIB)(sbc_oce.o) \
 	$(MODEL_LIB)(trdmod.o) \
 	$(MODEL_LIB)(trdmod_oce.o) \
 	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
-	dom_oce.F90 \
+	dianam.F90 \
+	dom_oce.F90 \
+	domngb.F90 \
 	dtasal.F90 \
 	dtatem.F90 \
@@ -4670,10 +4663,9 @@
 	phycst.F90 \
 	prtctl.F90 \
-	restart.F90 \
+	sbc_oce.F90 \
 	trdmod.F90 \
 	trdmod_oce.F90 \
 	zdf_oce.F90 \
 	zdfmxl.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(ice_2.o) \
@@ -4683,5 +4675,4 @@
 	$(MODEL_LIB)(phycst.o) \
 	$(MODEL_LIB)(tradmp.o) \
-	daymod.F90 \
 	dom_oce.F90 \
 	ice_2.F90 \
@@ -4712,4 +4703,5 @@
 	$(MODEL_LIB)(prtctl.o) \
 	$(MODEL_LIB)(sbc_ice.o) \
+	$(MODEL_LIB)(sbc_oce.o) \
 	dom_ice_2.F90 \
 	dom_oce.F90 \
@@ -4729,4 +4721,5 @@
 	prtctl.F90 \
 	sbc_ice.F90 \
+	sbc_oce.F90 \
 	$(MODEL_LIB)(dom_ice_2.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -4789,5 +4782,7 @@
 	limhdf_2.F90
 $(MODEL_LIB)(limistate_2.o) :	\
-	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom_def.o) \
@@ -4805,6 +4800,9 @@
 	$(MODEL_LIB)(phycst.o) \
 	$(MODEL_LIB)(prtctl.o) \
+	$(MODEL_LIB)(sbc_oce.o) \
 	$(MODEL_LIB)(zdfddm.o) \
-	dom_oce.F90 \
+	dianam.F90 \
+	dom_oce.F90 \
+	domngb.F90 \
 	in_out_manager.F90 \
 	iom_def.F90 \
@@ -4822,4 +4820,5 @@
 	phycst.F90 \
 	prtctl.F90 \
+	sbc_oce.F90 \
 	zdfddm.F90 \
 	$(MODEL_LIB)(dom_ice_2.o) \
@@ -4894,4 +4893,5 @@
 	par_oce.F90 \
 	$(MODEL_LIB)(dom_ice_2.o) \
+	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(ice_2.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -4902,5 +4902,7 @@
 	$(MODEL_LIB)(prtctl.o) \
 	$(MODEL_LIB)(sbc_ice.o) \
+	$(MODEL_LIB)(sbc_oce.o) \
 	dom_ice_2.F90 \
+	dom_oce.F90 \
 	ice_2.F90 \
 	in_out_manager.F90 \
@@ -4911,11 +4913,13 @@
 	prtctl.F90 \
 	sbc_ice.F90 \
+	sbc_oce.F90 \
 	vectopt_loop_substitute.h90 \
 	KEY_CPP \
 	limrhg_2.F90
 $(MODEL_LIB)(limrst_2.o) :	\
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom_def.o) \
 	$(MODEL_LIB)(iom_ioipsl.o) \
@@ -4928,9 +4932,9 @@
 	$(MODEL_LIB)(par_oce.o) \
 	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(restart.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
+	$(MODEL_LIB)(sbc_oce.o) \
+	dianam.F90 \
+	dom_oce.F90 \
+	domngb.F90 \
+	in_out_manager.F90 \
 	iom_def.F90 \
 	iom_ioipsl.F90 \
@@ -4943,7 +4947,6 @@
 	par_oce.F90 \
 	phycst.F90 \
-	prtctl.F90 \
-	restart.F90 \
-	$(MODEL_LIB)(daymod.o) \
+	sbc_oce.F90 \
+	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(ice_2.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -4951,5 +4954,5 @@
 	$(MODEL_LIB)(sbc_ice.o) \
 	$(MODEL_LIB)(sbc_oce.o) \
-	daymod.F90 \
+	dom_oce.F90 \
 	ice_2.F90 \
 	in_out_manager.F90 \
@@ -4960,5 +4963,7 @@
 	limrst_2.F90
 $(MODEL_LIB)(limsbc_2.o) :	\
-	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom_def.o) \
@@ -4975,5 +4980,8 @@
 	$(MODEL_LIB)(par_oce.o) \
 	$(MODEL_LIB)(phycst.o) \
-	dom_oce.F90 \
+	$(MODEL_LIB)(sbc_oce.o) \
+	dianam.F90 \
+	dom_oce.F90 \
+	domngb.F90 \
 	in_out_manager.F90 \
 	iom_def.F90 \
@@ -4990,4 +4998,5 @@
 	par_oce.F90 \
 	phycst.F90 \
+	sbc_oce.F90 \
 	$(MODEL_LIB)(albedo.o) \
 	$(MODEL_LIB)(cpl_oasis3.o) \
@@ -5024,5 +5033,7 @@
 $(MODEL_LIB)(limthd_2.o) :	\
 	$(MODEL_LIB)(cpl_oasis3.o) \
-	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
 	$(MODEL_LIB)(ice_2.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -5044,5 +5055,7 @@
 	$(MODEL_LIB)(thd_ice_2.o) \
 	cpl_oasis3.F90 \
-	dom_oce.F90 \
+	dianam.F90 \
+	dom_oce.F90 \
+	domngb.F90 \
 	ice_2.F90 \
 	in_out_manager.F90 \
@@ -5194,5 +5207,4 @@
 	$(MODEL_LIB)(phycst.o) \
 	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(restart.o) \
 	dom_ice_2.F90 \
 	dom_oce.F90 \
@@ -5211,6 +5223,4 @@
 	phycst.F90 \
 	prtctl.F90 \
-	restart.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_ice_2.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -5223,5 +5233,4 @@
 	$(MODEL_LIB)(limistate_2.o) \
 	$(MODEL_LIB)(phycst.o) \
-	daymod.F90 \
 	dom_ice_2.F90 \
 	dom_oce.F90 \
@@ -5238,8 +5247,8 @@
 	limtrp_2.F90
 $(MODEL_LIB)(limwri_2.o) :	\
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom_def.o) \
 	$(MODEL_LIB)(iom_ioipsl.o) \
@@ -5255,10 +5264,9 @@
 	$(MODEL_LIB)(par_oce.o) \
 	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(restart.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
+	$(MODEL_LIB)(sbc_oce.o) \
+	dianam.F90 \
+	dom_oce.F90 \
+	domngb.F90 \
+	in_out_manager.F90 \
 	iom_def.F90 \
 	iom_ioipsl.F90 \
@@ -5274,7 +5282,5 @@
 	par_oce.F90 \
 	phycst.F90 \
-	prtctl.F90 \
-	restart.F90 \
-	$(MODEL_LIB)(daymod.o) \
+	sbc_oce.F90 \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_ice_2.o) \
@@ -5287,5 +5293,4 @@
 	$(MODEL_LIB)(sbc_ice.o) \
 	$(MODEL_LIB)(sbc_oce.o) \
-	daymod.F90 \
 	dianam.F90 \
 	dom_ice_2.F90 \
@@ -5311,5 +5316,4 @@
 	$(MODEL_LIB)(cpl_oasis3.o) \
 	$(MODEL_LIB)(cpl_oasis4.o) \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(diaptr.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -5335,4 +5339,5 @@
 	$(MODEL_LIB)(prtctl.o) \
 	$(MODEL_LIB)(sbc_oce.o) \
+	$(MODEL_LIB)(sbcmod.o) \
 	$(MODEL_LIB)(step.o) \
 	$(MODEL_LIB)(step_c1d.o) \
@@ -5345,5 +5350,4 @@
 	cpl_oasis3.F90 \
 	cpl_oasis4.F90 \
-	daymod.F90 \
 	diaptr.F90 \
 	dom_oce.F90 \
@@ -5369,4 +5373,5 @@
 	prtctl.F90 \
 	sbc_oce.F90 \
+	sbcmod.F90 \
 	step.F90 \
 	step_c1d.F90 \
@@ -5429,7 +5434,8 @@
 	obc_par.F90
 $(MODEL_LIB)(obcdta.o) :	\
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom_def.o) \
 	$(MODEL_LIB)(iom_ioipsl.o) \
@@ -5445,9 +5451,9 @@
 	$(MODEL_LIB)(par_oce.o) \
 	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(restart.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
+	$(MODEL_LIB)(sbc_oce.o) \
+	dianam.F90 \
+	dom_oce.F90 \
+	domngb.F90 \
+	in_out_manager.F90 \
 	iom_def.F90 \
 	iom_ioipsl.F90 \
@@ -5463,7 +5469,5 @@
 	par_oce.F90 \
 	phycst.F90 \
-	prtctl.F90 \
-	restart.F90 \
-	$(MODEL_LIB)(daymod.o) \
+	sbc_oce.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(dynspg_oce.o) \
@@ -5475,5 +5479,4 @@
 	$(MODEL_LIB)(oce.o) \
 	$(MODEL_LIB)(phycst.o) \
-	daymod.F90 \
 	dom_oce.F90 \
 	dynspg_oce.F90 \
@@ -5564,5 +5567,4 @@
 	obcdyn_bt.F90
 $(MODEL_LIB)(obcfla.o) :	\
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(dynspg_oce.o) \
@@ -5576,5 +5578,4 @@
 	$(MODEL_LIB)(par_oce.o) \
 	$(MODEL_LIB)(phycst.o) \
-	daymod.F90 \
 	dom_oce.F90 \
 	dynspg_oce.F90 \
@@ -5603,5 +5604,4 @@
 	obcfla.F90
 $(MODEL_LIB)(obcini.o) :	\
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -5616,5 +5616,4 @@
 	$(MODEL_LIB)(par_oce.o) \
 	$(MODEL_LIB)(phycst.o) \
-	daymod.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -5689,5 +5688,4 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
@@ -5697,10 +5695,6 @@
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(restart.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
 	lbcnfd.F90 \
 	lib_mpp.F90 \
@@ -5710,8 +5704,4 @@
 	par_kind.F90 \
 	par_oce.F90 \
-	phycst.F90 \
-	prtctl.F90 \
-	restart.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -5721,5 +5711,4 @@
 	$(MODEL_LIB)(oce.o) \
 	$(MODEL_LIB)(phycst.o) \
-	daymod.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -5829,4 +5818,5 @@
 	$(MODEL_LIB)(domhgr.o) \
 	$(MODEL_LIB)(dommsk.o) \
+	$(MODEL_LIB)(domngb.o) \
 	$(MODEL_LIB)(domstp.o) \
 	$(MODEL_LIB)(domvvl.o) \
@@ -5878,8 +5868,19 @@
 	$(MODEL_LIB)(prtctl.o) \
 	$(MODEL_LIB)(restart.o) \
-	$(MODEL_LIB)(sbc_oce.o) \
+	$(MODEL_LIB)(sbc_ice.o) \
+	$(MODEL_LIB)(sbc_oce.o) \
+	$(MODEL_LIB)(sbcana.o) \
+	$(MODEL_LIB)(sbcblk_clio.o) \
+	$(MODEL_LIB)(sbcblk_core.o) \
 	$(MODEL_LIB)(sbccpl.o) \
+	$(MODEL_LIB)(sbcflx.o) \
+	$(MODEL_LIB)(sbcfwb.o) \
+	$(MODEL_LIB)(sbcice_if.o) \
+	$(MODEL_LIB)(sbcice_lim.o) \
+	$(MODEL_LIB)(sbcice_lim_2.o) \
 	$(MODEL_LIB)(sbcmod.o) \
 	$(MODEL_LIB)(sbcrnf.o) \
+	$(MODEL_LIB)(sbcssm.o) \
+	$(MODEL_LIB)(sbcssr.o) \
 	$(MODEL_LIB)(sshwzv.o) \
 	$(MODEL_LIB)(stpctl.o) \
@@ -5936,4 +5937,5 @@
 	domhgr.F90 \
 	dommsk.F90 \
+	domngb.F90 \
 	domstp.F90 \
 	domvvl.F90 \
@@ -5985,8 +5987,19 @@
 	prtctl.F90 \
 	restart.F90 \
-	sbc_oce.F90 \
+	sbc_ice.F90 \
+	sbc_oce.F90 \
+	sbcana.F90 \
+	sbcblk_clio.F90 \
+	sbcblk_core.F90 \
 	sbccpl.F90 \
+	sbcflx.F90 \
+	sbcfwb.F90 \
+	sbcice_if.F90 \
+	sbcice_lim.F90 \
+	sbcice_lim_2.F90 \
 	sbcmod.F90 \
 	sbcrnf.F90 \
+	sbcssm.F90 \
+	sbcssr.F90 \
 	sshwzv.F90 \
 	stpctl.F90 \
@@ -6026,5 +6039,4 @@
 	$(MODEL_LIB)(cpl_oasis3.o) \
 	$(MODEL_LIB)(cpl_oasis4.o) \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(diaptr.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -6050,4 +6062,5 @@
 	$(MODEL_LIB)(prtctl.o) \
 	$(MODEL_LIB)(sbc_oce.o) \
+	$(MODEL_LIB)(sbcmod.o) \
 	$(MODEL_LIB)(step.o) \
 	$(MODEL_LIB)(step_c1d.o) \
@@ -6060,5 +6073,4 @@
 	cpl_oasis3.F90 \
 	cpl_oasis4.F90 \
-	daymod.F90 \
 	diaptr.F90 \
 	dom_oce.F90 \
@@ -6084,4 +6096,5 @@
 	prtctl.F90 \
 	sbc_oce.F90 \
+	sbcmod.F90 \
 	step.F90 \
 	step_c1d.F90 \
@@ -6148,5 +6161,7 @@
 	prtctl.F90
 $(MODEL_LIB)(restart.o) :	\
-	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
 	$(MODEL_LIB)(eosbn2.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -6163,7 +6178,10 @@
 	$(MODEL_LIB)(phycst.o) \
 	$(MODEL_LIB)(prtctl.o) \
+	$(MODEL_LIB)(sbc_oce.o) \
 	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zdfddm.o) \
-	dom_oce.F90 \
+	dianam.F90 \
+	dom_oce.F90 \
+	domngb.F90 \
 	eosbn2.F90 \
 	in_out_manager.F90 \
@@ -6180,4 +6198,5 @@
 	phycst.F90 \
 	prtctl.F90 \
+	sbc_oce.F90 \
 	zdf_oce.F90 \
 	zdfddm.F90 \
@@ -6228,35 +6247,25 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
-	$(MODEL_LIB)(lbcnfd.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(restart.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
-	lbcnfd.F90 \
-	lib_mpp.F90 \
-	lib_print.f90 \
-	oce.F90 \
-	par_kind.F90 \
-	par_oce.F90 \
-	phycst.F90 \
-	prtctl.F90 \
-	restart.F90 \
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(sbc_oce.o) \
-	daymod.F90 \
+	$(MODEL_LIB)(lbcnfd.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbcnfd.F90 \
+	lib_mpp.F90 \
+	lib_print.f90 \
+	oce.F90 \
+	par_kind.F90 \
+	par_oce.F90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(sbc_oce.o) \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -6271,6 +6280,7 @@
 	sbcana.F90
 $(MODEL_LIB)(sbcblk_clio.o) :	\
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
 	$(MODEL_LIB)(geo2ocean.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -6289,8 +6299,8 @@
 	$(MODEL_LIB)(par_oce.o) \
 	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(restart.o) \
-	daymod.F90 \
-	dom_oce.F90 \
+	$(MODEL_LIB)(sbc_oce.o) \
+	dianam.F90 \
+	dom_oce.F90 \
+	domngb.F90 \
 	geo2ocean.F90 \
 	in_out_manager.F90 \
@@ -6309,8 +6319,6 @@
 	par_oce.F90 \
 	phycst.F90 \
-	prtctl.F90 \
-	restart.F90 \
+	sbc_oce.F90 \
 	$(MODEL_LIB)(albedo.o) \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(fldread.o) \
@@ -6326,5 +6334,4 @@
 	$(MODEL_LIB)(sbc_oce.o) \
 	albedo.F90 \
-	daymod.F90 \
 	dom_oce.F90 \
 	fldread.F90 \
@@ -6343,6 +6350,7 @@
 	sbcblk_clio.F90
 $(MODEL_LIB)(sbcblk_core.o) :	\
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
 	$(MODEL_LIB)(geo2ocean.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -6361,8 +6369,8 @@
 	$(MODEL_LIB)(par_oce.o) \
 	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(restart.o) \
-	daymod.F90 \
-	dom_oce.F90 \
+	$(MODEL_LIB)(sbc_oce.o) \
+	dianam.F90 \
+	dom_oce.F90 \
+	domngb.F90 \
 	geo2ocean.F90 \
 	in_out_manager.F90 \
@@ -6381,7 +6389,5 @@
 	par_oce.F90 \
 	phycst.F90 \
-	prtctl.F90 \
-	restart.F90 \
-	$(MODEL_LIB)(daymod.o) \
+	sbc_oce.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(fldread.o) \
@@ -6395,5 +6401,4 @@
 	$(MODEL_LIB)(sbc_ice.o) \
 	$(MODEL_LIB)(sbc_oce.o) \
-	daymod.F90 \
 	dom_oce.F90 \
 	fldread.F90 \
@@ -6413,6 +6418,7 @@
 $(MODEL_LIB)(sbccpl.o) :	\
 	$(MODEL_LIB)(c1d.o) \
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
 	$(MODEL_LIB)(eosbn2.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -6432,4 +6438,5 @@
 	$(MODEL_LIB)(par_oce.o) \
 	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(sbc_oce.o) \
 	$(MODEL_LIB)(trdmld_oce.o) \
 	$(MODEL_LIB)(zdfddm.o) \
@@ -6437,6 +6444,7 @@
 	$(MODEL_LIB)(zpshde.o) \
 	c1d.F90 \
-	daymod.F90 \
-	dom_oce.F90 \
+	dianam.F90 \
+	dom_oce.F90 \
+	domngb.F90 \
 	eosbn2.F90 \
 	in_out_manager.F90 \
@@ -6456,4 +6464,5 @@
 	par_oce.F90 \
 	phycst.F90 \
+	sbc_oce.F90 \
 	trdmld_oce.F90 \
 	zdfddm.F90 \
@@ -6498,6 +6507,7 @@
 	sbccpl.F90
 $(MODEL_LIB)(sbcflx.o) :	\
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
 	$(MODEL_LIB)(geo2ocean.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -6515,8 +6525,8 @@
 	$(MODEL_LIB)(par_oce.o) \
 	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(restart.o) \
-	daymod.F90 \
-	dom_oce.F90 \
+	$(MODEL_LIB)(sbc_oce.o) \
+	dianam.F90 \
+	dom_oce.F90 \
+	domngb.F90 \
 	geo2ocean.F90 \
 	in_out_manager.F90 \
@@ -6534,7 +6544,5 @@
 	par_oce.F90 \
 	phycst.F90 \
-	prtctl.F90 \
-	restart.F90 \
-	$(MODEL_LIB)(daymod.o) \
+	sbc_oce.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(fldread.o) \
@@ -6546,5 +6554,4 @@
 	$(MODEL_LIB)(phycst.o) \
 	$(MODEL_LIB)(sbc_oce.o) \
-	daymod.F90 \
 	dom_oce.F90 \
 	fldread.F90 \
@@ -6562,5 +6569,4 @@
 $(MODEL_LIB)(sbcfwb.o) :	\
 	$(MODEL_LIB)(closea.o) \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(fldread.o) \
@@ -6575,10 +6581,7 @@
 	$(MODEL_LIB)(par_oce.o) \
 	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(restart.o) \
 	$(MODEL_LIB)(sbc_oce.o) \
 	$(MODEL_LIB)(sbcrnf.o) \
 	closea.F90 \
-	daymod.F90 \
 	dom_oce.F90 \
 	fldread.F90 \
@@ -6593,9 +6596,6 @@
 	par_oce.F90 \
 	phycst.F90 \
-	prtctl.F90 \
-	restart.F90 \
 	sbc_oce.F90 \
 	sbcrnf.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -6607,5 +6607,4 @@
 	$(MODEL_LIB)(sbcrnf.o) \
 	$(MODEL_LIB)(sbcssr.o) \
-	daymod.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -6622,6 +6621,7 @@
 	sbcfwb.F90
 $(MODEL_LIB)(sbcice_if.o) :	\
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
 	$(MODEL_LIB)(geo2ocean.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -6638,7 +6638,9 @@
 	$(MODEL_LIB)(phycst.o) \
 	$(MODEL_LIB)(prtctl.o) \
+	$(MODEL_LIB)(sbc_oce.o) \
 	$(MODEL_LIB)(zdfddm.o) \
-	daymod.F90 \
-	dom_oce.F90 \
+	dianam.F90 \
+	dom_oce.F90 \
+	domngb.F90 \
 	geo2ocean.F90 \
 	in_out_manager.F90 \
@@ -6655,4 +6657,5 @@
 	phycst.F90 \
 	prtctl.F90 \
+	sbc_oce.F90 \
 	zdfddm.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -6677,6 +6680,7 @@
 $(MODEL_LIB)(sbcice_lim.o) :	\
 	$(MODEL_LIB)(albedo.o) \
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
 	$(MODEL_LIB)(fldread.o) \
 	$(MODEL_LIB)(ice_2.o) \
@@ -6697,11 +6701,11 @@
 	$(MODEL_LIB)(phycst.o) \
 	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(restart.o) \
 	$(MODEL_LIB)(sbc_ice.o) \
 	$(MODEL_LIB)(sbc_oce.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	albedo.F90 \
-	daymod.F90 \
-	dom_oce.F90 \
+	dianam.F90 \
+	dom_oce.F90 \
+	domngb.F90 \
 	fldread.F90 \
 	ice_2.F90 \
@@ -6722,5 +6726,4 @@
 	phycst.F90 \
 	prtctl.F90 \
-	restart.F90 \
 	sbc_ice.F90 \
 	sbc_oce.F90 \
@@ -6728,5 +6731,4 @@
 	$(MODEL_LIB)(albedo.o) \
 	$(MODEL_LIB)(c1d.o) \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(eosbn2.o) \
@@ -6744,5 +6746,4 @@
 	albedo.F90 \
 	c1d.F90 \
-	daymod.F90 \
 	dom_oce.F90 \
 	eosbn2.F90 \
@@ -6766,8 +6767,8 @@
 	$(MODEL_LIB)(cpl_oasis3.o) \
 	$(MODEL_LIB)(cpl_oasis4.o) \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_ice_2.o) \
 	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
 	$(MODEL_LIB)(domvvl.o) \
 	$(MODEL_LIB)(fldread.o) \
@@ -6808,8 +6809,8 @@
 	cpl_oasis3.F90 \
 	cpl_oasis4.F90 \
-	daymod.F90 \
 	dianam.F90 \
 	dom_ice_2.F90 \
 	dom_oce.F90 \
+	domngb.F90 \
 	domvvl.F90 \
 	fldread.F90 \
@@ -6849,5 +6850,4 @@
 	$(MODEL_LIB)(albedo.o) \
 	$(MODEL_LIB)(c1d.o) \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_ice_2.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -6878,5 +6878,4 @@
 	albedo.F90 \
 	c1d.F90 \
-	daymod.F90 \
 	dom_ice_2.F90 \
 	dom_oce.F90 \
@@ -6915,7 +6914,8 @@
 	$(MODEL_LIB)(cpl_oasis3.o) \
 	$(MODEL_LIB)(cpl_oasis4.o) \
-	$(MODEL_LIB)(daymod.o) \
+	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_ice_2.o) \
 	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
 	$(MODEL_LIB)(eosbn2.o) \
 	$(MODEL_LIB)(fldread.o) \
@@ -6963,7 +6963,8 @@
 	cpl_oasis3.F90 \
 	cpl_oasis4.F90 \
-	daymod.F90 \
+	dianam.F90 \
 	dom_ice_2.F90 \
 	dom_oce.F90 \
+	domngb.F90 \
 	eosbn2.F90 \
 	fldread.F90 \
@@ -7008,5 +7009,4 @@
 	$(MODEL_LIB)(closea.o) \
 	$(MODEL_LIB)(cpl_oasis3.o) \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -7032,5 +7032,4 @@
 	closea.F90 \
 	cpl_oasis3.F90 \
-	daymod.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -7058,6 +7057,7 @@
 	sbcmod.F90
 $(MODEL_LIB)(sbcrnf.o) :	\
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
 	$(MODEL_LIB)(geo2ocean.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -7074,9 +7074,8 @@
 	$(MODEL_LIB)(par_oce.o) \
 	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(restart.o) \
-	$(MODEL_LIB)(sbc_oce.o) \
-	daymod.F90 \
-	dom_oce.F90 \
+	$(MODEL_LIB)(sbc_oce.o) \
+	dianam.F90 \
+	dom_oce.F90 \
+	domngb.F90 \
 	geo2ocean.F90 \
 	in_out_manager.F90 \
@@ -7093,9 +7092,6 @@
 	par_oce.F90 \
 	phycst.F90 \
-	prtctl.F90 \
-	restart.F90 \
 	sbc_oce.F90 \
 	$(MODEL_LIB)(closea.o) \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(fldread.o) \
@@ -7105,5 +7101,4 @@
 	$(MODEL_LIB)(sbc_oce.o) \
 	closea.F90 \
-	daymod.F90 \
 	dom_oce.F90 \
 	fldread.F90 \
@@ -7115,5 +7110,7 @@
 $(MODEL_LIB)(sbcssm.o) :	\
 	$(MODEL_LIB)(c1d.o) \
-	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
 	$(MODEL_LIB)(eosbn2.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -7130,6 +7127,5 @@
 	$(MODEL_LIB)(par_oce.o) \
 	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(restart.o) \
+	$(MODEL_LIB)(sbc_oce.o) \
 	$(MODEL_LIB)(trdmld_oce.o) \
 	$(MODEL_LIB)(zdfddm.o) \
@@ -7137,5 +7133,7 @@
 	$(MODEL_LIB)(zpshde.o) \
 	c1d.F90 \
-	dom_oce.F90 \
+	dianam.F90 \
+	dom_oce.F90 \
+	domngb.F90 \
 	eosbn2.F90 \
 	in_out_manager.F90 \
@@ -7152,11 +7150,9 @@
 	par_oce.F90 \
 	phycst.F90 \
-	prtctl.F90 \
-	restart.F90 \
+	sbc_oce.F90 \
 	trdmld_oce.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
 	zpshde.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -7166,5 +7162,4 @@
 	$(MODEL_LIB)(restart.o) \
 	$(MODEL_LIB)(sbc_oce.o) \
-	daymod.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -7179,6 +7174,7 @@
 $(MODEL_LIB)(sbcssr.o) :	\
 	$(MODEL_LIB)(closea.o) \
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
 	$(MODEL_LIB)(fldread.o) \
 	$(MODEL_LIB)(geo2ocean.o) \
@@ -7197,10 +7193,9 @@
 	$(MODEL_LIB)(par_oce.o) \
 	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(restart.o) \
 	$(MODEL_LIB)(sbc_oce.o) \
 	closea.F90 \
-	daymod.F90 \
-	dom_oce.F90 \
+	dianam.F90 \
+	dom_oce.F90 \
+	domngb.F90 \
 	fldread.F90 \
 	geo2ocean.F90 \
@@ -7219,8 +7214,5 @@
 	par_oce.F90 \
 	phycst.F90 \
-	prtctl.F90 \
-	restart.F90 \
-	sbc_oce.F90 \
-	$(MODEL_LIB)(daymod.o) \
+	sbc_oce.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(fldread.o) \
@@ -7233,5 +7225,4 @@
 	$(MODEL_LIB)(sbc_oce.o) \
 	$(MODEL_LIB)(sbcrnf.o) \
-	daymod.F90 \
 	dom_oce.F90 \
 	fldread.F90 \
@@ -7407,5 +7398,7 @@
 	$(MODEL_LIB)(bdy_oce.o) \
 	$(MODEL_LIB)(c1d.o) \
-	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
 	$(MODEL_LIB)(eosbn2.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -7432,5 +7425,7 @@
 	bdy_oce.F90 \
 	c1d.F90 \
-	dom_oce.F90 \
+	dianam.F90 \
+	dom_oce.F90 \
+	domngb.F90 \
 	eosbn2.F90 \
 	in_out_manager.F90 \
@@ -7501,5 +7496,4 @@
 	$(MODEL_LIB)(cpl_oasis3.o) \
 	$(MODEL_LIB)(cpl_oasis4.o) \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(diadimg.o) \
 	$(MODEL_LIB)(diahth.o) \
@@ -7507,4 +7501,5 @@
 	$(MODEL_LIB)(divcur.o) \
 	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
 	$(MODEL_LIB)(domvvl.o) \
 	$(MODEL_LIB)(dtasal.o) \
@@ -7621,5 +7616,4 @@
 	cpl_oasis3.F90 \
 	cpl_oasis4.F90 \
-	daymod.F90 \
 	diadimg.F90 \
 	diahth.F90 \
@@ -7627,4 +7621,5 @@
 	divcur.F90 \
 	dom_oce.F90 \
+	domngb.F90 \
 	domvvl.F90 \
 	dtasal.F90 \
@@ -7884,5 +7879,4 @@
 	$(MODEL_LIB)(closea.o) \
 	$(MODEL_LIB)(cpl_oasis3.o) \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(diadimg.o) \
 	$(MODEL_LIB)(diahth.o) \
@@ -7890,4 +7884,5 @@
 	$(MODEL_LIB)(diawri.o) \
 	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
 	$(MODEL_LIB)(domvvl.o) \
 	$(MODEL_LIB)(dynhpg.o) \
@@ -7954,5 +7949,4 @@
 	closea.F90 \
 	cpl_oasis3.F90 \
-	daymod.F90 \
 	diadimg.F90 \
 	diahth.F90 \
@@ -7960,4 +7954,5 @@
 	diawri.F90 \
 	dom_oce.F90 \
+	domngb.F90 \
 	domvvl.F90 \
 	dynhpg.F90 \
@@ -8127,6 +8122,8 @@
 $(MODEL_LIB)(traadv.o) :	\
 	$(MODEL_LIB)(closea.o) \
+	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(diaptr.o) \
 	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
 	$(MODEL_LIB)(dynspg_oce.o) \
 	$(MODEL_LIB)(eosbn2.o) \
@@ -8145,4 +8142,5 @@
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
+	$(MODEL_LIB)(phycst.o) \
 	$(MODEL_LIB)(prtctl.o) \
 	$(MODEL_LIB)(restart.o) \
@@ -8155,6 +8153,8 @@
 	$(MODEL_LIB)(zdf_oce.o) \
 	closea.F90 \
+	dianam.F90 \
 	diaptr.F90 \
 	dom_oce.F90 \
+	domngb.F90 \
 	dynspg_oce.F90 \
 	eosbn2.F90 \
@@ -8173,4 +8173,5 @@
 	par_kind.F90 \
 	par_oce.F90 \
+	phycst.F90 \
 	prtctl.F90 \
 	restart.F90 \
@@ -8218,7 +8219,7 @@
 	$(MODEL_LIB)(closea.o) \
 	$(MODEL_LIB)(cpl_oasis3.o) \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
 	$(MODEL_LIB)(eosbn2.o) \
 	$(MODEL_LIB)(fldread.o) \
@@ -8269,7 +8270,7 @@
 	closea.F90 \
 	cpl_oasis3.F90 \
-	daymod.F90 \
 	dianam.F90 \
 	dom_oce.F90 \
+	domngb.F90 \
 	eosbn2.F90 \
 	fldread.F90 \
@@ -8360,5 +8361,7 @@
 	traadv_cen2.F90
 $(MODEL_LIB)(traadv_eiv.o) :	\
-	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom_def.o) \
@@ -8375,6 +8378,9 @@
 	$(MODEL_LIB)(phycst.o) \
 	$(MODEL_LIB)(prtctl.o) \
+	$(MODEL_LIB)(sbc_oce.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
-	dom_oce.F90 \
+	dianam.F90 \
+	dom_oce.F90 \
+	domngb.F90 \
 	in_out_manager.F90 \
 	iom_def.F90 \
@@ -8391,4 +8397,5 @@
 	phycst.F90 \
 	prtctl.F90 \
+	sbc_oce.F90 \
 	zdfmxl.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -8411,5 +8418,4 @@
 	traadv_eiv.F90
 $(MODEL_LIB)(traadv_muscl.o) :	\
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -8437,5 +8443,4 @@
 	$(MODEL_LIB)(trdvor_oce.o) \
 	$(MODEL_LIB)(zdf_oce.o) \
-	daymod.F90 \
 	dianam.F90 \
 	dom_oce.F90 \
@@ -8490,5 +8495,4 @@
 	traadv_muscl.F90
 $(MODEL_LIB)(traadv_muscl2.o) :	\
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -8516,5 +8520,4 @@
 	$(MODEL_LIB)(trdvor_oce.o) \
 	$(MODEL_LIB)(zdf_oce.o) \
-	daymod.F90 \
 	dianam.F90 \
 	dom_oce.F90 \
@@ -8569,5 +8572,4 @@
 	traadv_muscl2.F90
 $(MODEL_LIB)(traadv_qck.o) :	\
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -8595,5 +8597,4 @@
 	$(MODEL_LIB)(trdvor_oce.o) \
 	$(MODEL_LIB)(zdf_oce.o) \
-	daymod.F90 \
 	dianam.F90 \
 	dom_oce.F90 \
@@ -8648,5 +8649,4 @@
 	traadv_qck.F90
 $(MODEL_LIB)(traadv_tvd.o) :	\
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -8674,5 +8674,4 @@
 	$(MODEL_LIB)(trdvor_oce.o) \
 	$(MODEL_LIB)(zdf_oce.o) \
-	daymod.F90 \
 	dianam.F90 \
 	dom_oce.F90 \
@@ -8727,5 +8726,4 @@
 	traadv_tvd.F90
 $(MODEL_LIB)(traadv_ubs.o) :	\
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -8749,5 +8747,4 @@
 	$(MODEL_LIB)(trdvor_oce.o) \
 	$(MODEL_LIB)(zdf_oce.o) \
-	daymod.F90 \
 	dianam.F90 \
 	dom_oce.F90 \
@@ -8796,5 +8793,7 @@
 	traadv_ubs.F90
 $(MODEL_LIB)(trabbc.o) :	\
-	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom_def.o) \
@@ -8819,5 +8818,7 @@
 	$(MODEL_LIB)(trdvor_oce.o) \
 	$(MODEL_LIB)(zdf_oce.o) \
-	dom_oce.F90 \
+	dianam.F90 \
+	dom_oce.F90 \
+	domngb.F90 \
 	in_out_manager.F90 \
 	iom_def.F90 \
@@ -8932,6 +8933,7 @@
 	trabbl.F90
 $(MODEL_LIB)(tradmp.o) :	\
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom.o) \
@@ -8959,6 +8961,7 @@
 	$(MODEL_LIB)(trdvor_oce.o) \
 	$(MODEL_LIB)(zdf_oce.o) \
-	daymod.F90 \
-	dom_oce.F90 \
+	dianam.F90 \
+	dom_oce.F90 \
+	domngb.F90 \
 	in_out_manager.F90 \
 	iom.F90 \
@@ -9125,5 +9128,4 @@
 	traldf.F90
 $(MODEL_LIB)(traldf_bilap.o) :	\
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -9151,5 +9153,4 @@
 	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
 	dianam.F90 \
 	dom_oce.F90 \
@@ -9204,5 +9205,4 @@
 	traldf_bilap.F90
 $(MODEL_LIB)(traldf_bilapg.o) :	\
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -9230,5 +9230,4 @@
 	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
 	dianam.F90 \
 	dom_oce.F90 \
@@ -9282,5 +9281,4 @@
 	traldf_bilapg.F90
 $(MODEL_LIB)(traldf_iso.o) :	\
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -9307,5 +9305,4 @@
 	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
 	dianam.F90 \
 	dom_oce.F90 \
@@ -9358,5 +9355,4 @@
 	traldf_iso.F90
 $(MODEL_LIB)(traldf_lap.o) :	\
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -9379,5 +9375,4 @@
 	$(MODEL_LIB)(trdvor_oce.o) \
 	$(MODEL_LIB)(zdf_oce.o) \
-	daymod.F90 \
 	dianam.F90 \
 	dom_oce.F90 \
@@ -9569,6 +9564,7 @@
 	tranxt.F90
 $(MODEL_LIB)(traqsr.o) :	\
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
 	$(MODEL_LIB)(geo2ocean.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -9595,6 +9591,7 @@
 	$(MODEL_LIB)(trdvor_oce.o) \
 	$(MODEL_LIB)(zdf_oce.o) \
-	daymod.F90 \
-	dom_oce.F90 \
+	dianam.F90 \
+	dom_oce.F90 \
+	domngb.F90 \
 	geo2ocean.F90 \
 	in_out_manager.F90 \
@@ -10043,5 +10040,4 @@
 $(MODEL_LIB)(trdmld.o) :	\
 	$(MODEL_LIB)(c1d.o) \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(eosbn2.o) \
@@ -10069,5 +10065,4 @@
 	$(MODEL_LIB)(zpshde.o) \
 	c1d.F90 \
-	daymod.F90 \
 	dom_oce.F90 \
 	eosbn2.F90 \
@@ -10094,5 +10089,4 @@
 	zdfmxl.F90 \
 	zpshde.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(diadimg.o) \
 	$(MODEL_LIB)(dianam.o) \
@@ -10111,5 +10105,4 @@
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
 	diadimg.F90 \
 	dianam.F90 \
@@ -10143,5 +10136,7 @@
 $(MODEL_LIB)(trdmld_rst.o) :	\
 	$(MODEL_LIB)(c1d.o) \
-	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
 	$(MODEL_LIB)(eosbn2.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -10157,6 +10152,5 @@
 	$(MODEL_LIB)(par_oce.o) \
 	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(restart.o) \
+	$(MODEL_LIB)(sbc_oce.o) \
 	$(MODEL_LIB)(trdicp_oce.o) \
 	$(MODEL_LIB)(trdmld_oce.o) \
@@ -10166,5 +10160,7 @@
 	$(MODEL_LIB)(zpshde.o) \
 	c1d.F90 \
-	dom_oce.F90 \
+	dianam.F90 \
+	dom_oce.F90 \
+	domngb.F90 \
 	eosbn2.F90 \
 	in_out_manager.F90 \
@@ -10180,6 +10176,5 @@
 	par_oce.F90 \
 	phycst.F90 \
-	prtctl.F90 \
-	restart.F90 \
+	sbc_oce.F90 \
 	trdicp_oce.F90 \
 	trdmld_oce.F90 \
@@ -10188,5 +10183,4 @@
 	zdfmxl.F90 \
 	zpshde.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -10194,5 +10188,4 @@
 	$(MODEL_LIB)(restart.o) \
 	$(MODEL_LIB)(trdmod_oce.o) \
-	daymod.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -10203,5 +10196,4 @@
 	trdmld_rst.F90
 $(MODEL_LIB)(trdmod.o) :	\
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(diadimg.o) \
 	$(MODEL_LIB)(dianam.o) \
@@ -10229,5 +10221,4 @@
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
 	diadimg.F90 \
 	dianam.F90 \
@@ -10293,39 +10284,34 @@
 	trdmod_oce.F90
 $(MODEL_LIB)(trdvor.o) :	\
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
-	$(MODEL_LIB)(lbcnfd.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(restart.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(iom.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(prtctl.o) \
 	$(MODEL_LIB)(trdicp_oce.o) \
 	$(MODEL_LIB)(trdmld_oce.o) \
 	$(MODEL_LIB)(trdvor_oce.o) \
 	$(MODEL_LIB)(zdf_oce.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
-	lbcnfd.F90 \
-	lib_mpp.F90 \
-	lib_print.f90 \
-	oce.F90 \
-	par_kind.F90 \
-	par_oce.F90 \
-	phycst.F90 \
-	prtctl.F90 \
-	restart.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	iom.F90 \
+	lbcnfd.F90 \
+	lib_mpp.F90 \
+	lib_print.f90 \
+	oce.F90 \
+	par_kind.F90 \
+	par_oce.F90 \
+	phycst.F90 \
+	prtctl.F90 \
 	trdicp_oce.F90 \
 	trdmld_oce.F90 \
 	trdvor_oce.F90 \
 	zdf_oce.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -10338,5 +10324,4 @@
 	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
 	dianam.F90 \
 	dom_oce.F90 \
@@ -10370,5 +10355,7 @@
 	zdf_oce.F90
 $(MODEL_LIB)(zdfbfr.o) :	\
-	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom_def.o) \
@@ -10383,5 +10370,9 @@
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
+	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(sbc_oce.o) \
+	dianam.F90 \
+	dom_oce.F90 \
+	domngb.F90 \
 	in_out_manager.F90 \
 	iom_def.F90 \
@@ -10396,4 +10387,6 @@
 	par_kind.F90 \
 	par_oce.F90 \
+	phycst.F90 \
+	sbc_oce.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -10448,5 +10441,7 @@
 	zdfddm.F90
 $(MODEL_LIB)(zdfevd.o) :	\
-	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
 	$(MODEL_LIB)(eosbn2.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -10468,5 +10463,7 @@
 	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zdfddm.o) \
-	dom_oce.F90 \
+	dianam.F90 \
+	dom_oce.F90 \
+	domngb.F90 \
 	eosbn2.F90 \
 	in_out_manager.F90 \
@@ -10507,5 +10504,7 @@
 $(MODEL_LIB)(zdfini.o) :	\
 	$(MODEL_LIB)(c1d.o) \
-	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
 	$(MODEL_LIB)(domvvl.o) \
 	$(MODEL_LIB)(dynzdf_exp.o) \
@@ -10540,5 +10539,7 @@
 	$(MODEL_LIB)(zpshde.o) \
 	c1d.F90 \
-	dom_oce.F90 \
+	dianam.F90 \
+	dom_oce.F90 \
+	domngb.F90 \
 	domvvl.F90 \
 	dynzdf_exp.F90 \
@@ -10672,5 +10673,7 @@
 	zdfkpp.F90
 $(MODEL_LIB)(zdfmxl.o) :	\
-	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom_def.o) \
@@ -10683,5 +10686,9 @@
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
+	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(sbc_oce.o) \
+	dianam.F90 \
+	dom_oce.F90 \
+	domngb.F90 \
 	in_out_manager.F90 \
 	iom_def.F90 \
@@ -10694,4 +10701,6 @@
 	par_kind.F90 \
 	par_oce.F90 \
+	phycst.F90 \
+	sbc_oce.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -10741,5 +10750,7 @@
 $(MODEL_LIB)(zdftke.o) :	\
 	$(MODEL_LIB)(c1d.o) \
-	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
 	$(MODEL_LIB)(eosbn2.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -10765,5 +10776,7 @@
 	$(MODEL_LIB)(zpshde.o) \
 	c1d.F90 \
-	dom_oce.F90 \
+	dianam.F90 \
+	dom_oce.F90 \
+	domngb.F90 \
 	eosbn2.F90 \
 	in_out_manager.F90 \
@@ -10820,5 +10833,7 @@
 $(MODEL_LIB)(zdftke_old.o) :	\
 	$(MODEL_LIB)(c1d.o) \
-	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
 	$(MODEL_LIB)(domvvl.o) \
 	$(MODEL_LIB)(eosbn2.o) \
@@ -10847,5 +10862,7 @@
 	$(MODEL_LIB)(zpshde.o) \
 	c1d.F90 \
-	dom_oce.F90 \
+	dianam.F90 \
+	dom_oce.F90 \
+	domngb.F90 \
 	domvvl.F90 \
 	eosbn2.F90 \
@@ -10904,5 +10921,7 @@
 	zdftke_old.F90
 $(MODEL_LIB)(zdftmx.o) :	\
-	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domngb.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom_def.o) \
@@ -10919,6 +10938,9 @@
 	$(MODEL_LIB)(phycst.o) \
 	$(MODEL_LIB)(prtctl.o) \
+	$(MODEL_LIB)(sbc_oce.o) \
 	$(MODEL_LIB)(zdfddm.o) \
-	dom_oce.F90 \
+	dianam.F90 \
+	dom_oce.F90 \
+	domngb.F90 \
 	in_out_manager.F90 \
 	iom_def.F90 \
@@ -10935,4 +10957,5 @@
 	phycst.F90 \
 	prtctl.F90 \
+	sbc_oce.F90 \
 	zdfddm.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
